package com.muchinfo.mtp3pojos.exportconverter;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

public class businessCodeNameConverter  implements Converter<Integer> {

    private static final String TYPE_1 = "入金";
    private static final String TYPE_2 = "入金手续费";
    private static final String TYPE_3 = "出金";
    private static final String TYPE_4 = "出金手续费";
    private static final String TYPE_5 = "交易冻结";
    private static final String TYPE_6 = "交易解冻";
    private static final String TYPE_7 = "交易占用";
    private static final String TYPE_8 = "交易解占用";
    private static final String TYPE_9 = "交易手续费";
    private static final String TYPE_10 = "交易货款";
    private static final String TYPE_11 = "交易损益";
    private static final String TYPE_12 = "交收手续费";
    private static final String TYPE_13 = "交收货款";
    private static final String TYPE_14 = "结算损益";
    private static final String TYPE_15 = "分润收入";
    private static final String TYPE_16 = "递延费";
    @Override
    public Class<?> supportJavaTypeKey() {
        // 实体类中对象属性类型
        return Integer.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        // Excel中对应的CellData属性类型
        return CellDataTypeEnum.STRING;
    }

    @Override
    public Integer convertToJavaData(ReadCellData<?> cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        // 从Cell中读取数据
        String gender = cellData.getStringValue();
        // 判断Excel中的值，将其转换为预期的数值
        if (TYPE_1.equals(gender)) {
            return 1;
        } else if (TYPE_2.equals(gender)) {
            return 2;
        } else if (TYPE_3.equals(gender)) {
            return 3;
        } else if (TYPE_4.equals(gender)) {
            return 4;
        } else if (TYPE_5.equals(gender)) {
            return 5;
        } else if (TYPE_6.equals(gender)) {
            return 6;
        } else if (TYPE_7.equals(gender)) {
            return 7;
        } else if (TYPE_8.equals(gender)) {
            return 8;
        } else if (TYPE_9.equals(gender)) {
            return 9;
        } else if (TYPE_10.equals(gender)) {
            return 10;
        } else if (TYPE_11.equals(gender)) {
            return 11;
        } else if (TYPE_12.equals(gender)) {
            return 12;
        } else if (TYPE_13.equals(gender)) {
            return 13;
        } else if (TYPE_14.equals(gender)) {
            return 14;
        } else if (TYPE_15.equals(gender)) {
            return 15;
        } else if (TYPE_16.equals(gender)) {
            return 16;
        }
        return null;
    }

    @Override
    public WriteCellData<?> convertToExcelData(Integer integer, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) throws Exception {
        // 判断实体类中获取的值，转换为Excel预期的值，并封装为CellData对象
        if (integer == null) {
            return new WriteCellData<>("");
        } else if (integer == 1) {
            return new WriteCellData<>(TYPE_1);
        } else if (integer == 2) {
            return new WriteCellData<>(TYPE_2);
        } else if (integer == 3) {
            return new WriteCellData<>(TYPE_3);
        } else if (integer == 4) {
            return new WriteCellData<>(TYPE_4);
        } else if (integer == 5) {
            return new WriteCellData<>(TYPE_5);
        } else if (integer == 6) {
            return new WriteCellData<>(TYPE_6);
        } else if (integer == 7) {
            return new WriteCellData<>(TYPE_7);
        } else if (integer == 8) {
            return new WriteCellData<>(TYPE_8);
        } else if (integer == 9) {
            return new WriteCellData<>(TYPE_9);
        } else if (integer == 10) {
            return new WriteCellData<>(TYPE_10);
        } else if (integer == 11) {
            return new WriteCellData<>(TYPE_11);
        } else if (integer == 12) {
            return new WriteCellData<>(TYPE_12);
        } else if (integer == 13) {
            return new WriteCellData<>(TYPE_13);
        } else if (integer == 14) {
            return new WriteCellData<>(TYPE_14);
        } else if (integer == 15) {
            return new WriteCellData<>(TYPE_15);
        } else if (integer == 16) {
            return new WriteCellData<>(TYPE_16);
        }
        return new WriteCellData<>("");
    }
}
